Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

D1UnsolicitedNotificationListener is actually maintained in d1_cn_common.

in cn_rest_service a call to listNodes failed with

LDAP Service is unreponsive

due to the exception below. It does not appear that D1UnsolicitedNotificationListener received these events and so the stale context

was not reset.

javax.naming.CommunicationException: connection closed [Root exception is java.io.IOException: connection closed]; remaining

name 'dc=org'

at com.sun.jndi.ldap.LdapCtx.doSearch(LdapCtx.java:1983)

at com.sun.jndi.ldap.LdapCtx.searchAux(LdapCtx.java:1827)

at com.sun.jndi.ldap.LdapCtx.c_search(LdapCtx.java:1752)

at com.sun.jndi.toolkit.ctx.ComponentDirContext.p_search(ComponentDirContext.java:368)

at com.sun.jndi.toolkit.ctx.PartialCompositeDirContext.search(PartialCompositeDirContext.java:338)

at com.sun.jndi.toolkit.ctx.PartialCompositeDirContext.search(PartialCompositeDirContext.java:321)

at javax.naming.directory.InitialDirContext.search(InitialDirContext.java:248)

at org.dataone.cn.ldap.NodeAccess.getApprovedNodeList(NodeAccess.java:207)

at org.dataone.service.cn.impl.v1.NodeRegistryService.listNodes(NodeRegistryService.java:97)

at org.dataone.cn.rest.web.node.NodeController.getNodeList(NodeController.java:159)

at sun.reflect.GeneratedMethodAccessor112.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

at java.lang.reflect.Method.invoke(Method.java:597)

at org.springframework.web.bind.annotation.support.HandlerMethodInvoker.invokeHandlerMethod(HandlerMethodInvoker.java:176)

at

org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerAdapter.invokeHandlerMethod(AnnotationMethodHandler

Adapter.java:436)

at

org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerAdapter.handle(AnnotationMethodHandlerAdapter.java:4

24)

at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:923)

at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:852)

at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:882)

at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:778)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.dataone.cn.rest.filter.v1.PortalCertificateFilter.doFilter(PortalCertificateFilter.java:79)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:88)

at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.dataone.cn.rest.filter.CNServiceDisableFilter.doFilter(CNServiceDisableFilter.java:84)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:769)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:698)

at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:891)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:662)

Caused by: java.io.IOException: connection closed

at com.sun.jndi.ldap.LdapClient.ensureOpen(LdapClient.java:1560)

at com.sun.jndi.ldap.LdapClient.search(LdapClient.java:505)

at com.sun.jndi.ldap.LdapCtx.doSearch(LdapCtx.java:1965)

... 46 more

History

#1 - 2013-06-05 04:58 - Robert Waltz

- Due date changed from 2013-04-17 to 2013-07-06

- Target version changed from 2013.12-Block.2.2 to 2013.26-Block.4.1

#2 - 2013-08-02 18:23 - Robert Waltz

- Target version deleted (2013.26-Block.4.1)

- Due date deleted (2013-07-06)

- Start date deleted (2013-04-17)

#3 - 2013-10-28 20:18 - Robert Waltz

- Milestone changed from CCI-1.1.2 to None

- Product Version set to *

#4 - 2014-10-01 22:25 - Robert Waltz

- Status changed from New to Closed
